<?php
session_start();
include '../database/server.php';

// Ensure the admin is directly managing tasks
// You can add your own authentication or validation logic here, or simply assume the admin is already logged in

// Fetch all tasks
$tasks = $conn->query("SELECT * FROM tasks");

if ($_SERVER['REQUEST_METHOD'] == 'POST' && isset($_POST['delete_task_id'])) {
    // Delete task
    $task_id = intval($_POST['delete_task_id']);
    $conn->query("DELETE FROM tasks WHERE id = $task_id");
    $_SESSION['success'] = "Task has been deleted successfully.";
    header("location:admin_tasks.php");
    exit();
}

?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Admin Task Management</title>
    <style>
        body { font-family: Arial, sans-serif; background: #f4f4f4; padding: 20px; }
        table { width: 100%; border-collapse: collapse; margin: 20px 0; }
        th, td { padding: 10px; text-align: left; border: 1px solid #ddd; }
        th { background-color: #4CAF50; color: white; }
        .delete-btn { background-color: red; color: white; border: none; padding: 5px 10px; cursor: pointer; }
        .delete-btn:hover { background-color: darkred; }
        .message { padding: 10px; margin: 10px 0; background-color: #dff0d8; color: green; }
        .error { background-color: #f2dede; color: red; }
    </style>
</head>
<body>

<h2>Admin Task Management</h2>

<?php
// Display success or error messages
if (isset($_SESSION['success'])) {
    echo '<div class="message">' . $_SESSION['success'] . '</div>';
    unset($_SESSION['success']);
}
if (isset($_SESSION['error'])) {
    echo '<div class="error">' . $_SESSION['error'] . '</div>';
    unset($_SESSION['error']);
}
?>

<h3>Task List</h3>
<table>
    <thead>
        <tr>
            <th>ID</th>
            <th>User ID</th>
            <th>TikTok URL</th>
            <th>Action</th>
        </tr>
    </thead>
    <tbody>
        <?php while ($task = $tasks->fetch_assoc()) { ?>
            <tr>
                <td><?= $task['id'] ?></td>
                <td><?= $task['user_id'] ?></td>
                <td><a href="<?= $task['url'] ?>" target="_blank"><?= $task['url'] ?></a></td>
                <td>
                    <form method="POST" style="display:inline;">
                        <input type="hidden" name="delete_task_id" value="<?= $task['id'] ?>">
                        <button type="submit" class="delete-btn" onclick="return confirm('Are you sure you want to delete this task?')">Delete</button>
                    </form>
                </td>
            </tr>
        <?php } ?>
    </tbody>
</table>

</body>
</html>
