<!DOCTYPE html>
<?php
include '../database/server.php';
$start = 0;
$page_rows = 10;

$search = '';
if (isset($_GET['search'])) {
    $search = $_GET['search'];
    $records = $conn->query("SELECT * FROM paystack WHERE username LIKE '%$search%'AND purpose IN ('Activation', 'Deposit', 'Topup')");
} else {
    $records = $conn->query("SELECT * FROM paystack WHERE purpose IN ('Activation', 'Deposit', 'Topup')");
}

$total_rows = $records->num_rows;
$pages = ceil($total_rows / $page_rows);

if (isset($_GET['page-nr'])) {
    $page = $_GET['page-nr'] - 1;
    $start = $page * $page_rows;
} else {
    $page = 0;
}
?>
<html lang="en">
<head>
  <meta charset="UTF-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>Platform Transactions</title>
  <!-- Linking Google Font Link For Icons -->
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">
  <link rel="stylesheet" href="styles.css" />
  
</head>
<body>
  <div class="container">
    <?php
     include 'side.php'; 
    include 'navbar.php'; 
    ?> 
  </div>
  <div class="main-content">
    <h5>Transactions</h5>
    <!-- Start Table -->
    <div class="report-container">
        <div class="report-header">
            <h1 class="recent-Transactions" id="recent-Transactions">Fund History</h1>
            <form method="GET">
                <input class="input" type="search" name="search" placeholder="Search Username" value="<?php echo $search; ?>">
                <button type="submit" style="display: flex;"><i class="fas fa-search"></i>Search</button>
            </form>
        </div>
        <div class="table-container">
            <table>
                <tr>
                    <th>Id</th>
                    <th>Username</th>
                    <th>Amount</th>
                     <th style="min-width:124px;">Date</th>
               
                    <th>Reason</th>
                </tr>
                <?php
                $no = $start;
                if ($search) {
                    $sql = "SELECT * FROM paystack WHERE username LIKE '%$search%' AND purpose IN ('Activation', 'Deposit', 'Topup') ORDER BY id DESC LIMIT $start, $page_rows";
                } else {
                    $sql = "SELECT * FROM paystack WHERE purpose IN ('Activation', 'Deposit', 'Topup') ORDER BY id DESC LIMIT $start, $page_rows";
                }
                $result = mysqli_query($conn, $sql);
                if ($result) {
                    if (mysqli_num_rows($result) > 0) {
                        while ($row = $result->fetch_assoc()) {
                            $user = $row['username'];
                            $amount = $row['amount'];
                            $receipt = $row['receipt'];
                            $reason = $row['purpose'];
                            $date1 = $row['date'];
                         $date = "";
                            
                            if (preg_match('/^\d{14}$/', $date1)) {
                            
                            $date = DateTime::createFromFormat('YmdHis', $date1)->format('d M Y g:i A');
                            }

                            elseif (preg_match('/^\d{4}-\d{2}-\d{2} \d{2}:\d{2}:\d{2}$/', $date1)) {
                            
                                $date = DateTime::createFromFormat('Y-m-d H:i:s', $date1)->format('d M Y g:i A');
                            }

                            else {
                                $date = "--";
                            }

                            $no++;
                            echo '<tr>
                                <td>' . $no . '</td>
                                <td>' . $user . '</td>
                                <td>' ."Ksh ". number_format($amount, 2) . '</td>
                                 <td>' . $date . '</td>
                           
                                <td>' . $reason . '</td>
                            </tr>';
                        }
                    } else {
                        echo '<tr><td colspan="5">User not found</td></tr>';
                    }
                }
                ?>
            </table>
        </div>
        <?php if ($total_rows > 0): ?>
        <div class="page">
            <div class="page-info">
                <?php $current = $page + 1; ?>
                <p>showing <?php echo $current . " of " . $pages . " page" . ($pages > 1 ? 's' : ''); ?></p>
            </div>
            <div class="pagination">
                <a href="?page-nr=1<?php if ($search) echo '&search=' . $search; ?>">First</a>
                <?php if ($page > 0): ?>
                    <a href="?page-nr=<?php echo $page; ?><?php if ($search) echo '&search=' . $search; ?>">Previous</a>
                <?php else: ?>
                    <a>Previous</a>
                <?php endif; ?>
                <?php if ($page < $pages - 1): ?>
                    <a href="?page-nr=<?php echo $page + 2; ?><?php if ($search) echo '&search=' . $search; ?>">Next</a>
                <?php else: ?>
                    <a>Next</a>
                <?php endif; ?>
                <a href="?page-nr=<?php echo $pages; ?><?php if ($search) echo '&search=' . $search; ?>">Last</a>
            </div>
        </div>
        <?php endif; ?>
    </div>
    <!-- End Table -->
  </div>
  <?php include 'footer.php'; ?> 
<script src="../js/script.js"></script>
</body>
</html>
