<!DOCTYPE html>
<?php
session_start();
include('../database/server.php');
if(!isset($_SESSION['admin']))
{
    header("location:index.php");
}

$admin=$_SESSION['admin'];


if(isset($_POST['submit'])) {
    $question_number = $_POST['question_number'];
    $question_text = $_POST['question_text'];
    $correct_choice = $_POST['correct_choice'];
    
    $choices = array();
    $choices[1] = $_POST['choice1'];
    $choices[2] = $_POST['choice2'];
    $choices[3] = $_POST['choice3'];
    $choices[4] = $_POST['choice4'];

    // Insert question
    $query = "INSERT INTO questions (question_number, text) VALUES (?, ?)";
    $stmt = $conn->prepare($query);
    $stmt->bind_param("ss", $question_number, $question_text);
    $stmt->execute();
    
    // Get the question ID
    $question_id = $stmt->insert_id;
    
    // Insert choices
    $query = "INSERT INTO choices (question_number, is_correct, text) VALUES (?, ?, ?)";
    $stmt = $conn->prepare($query);
    $stmt->bind_param("iis", $question_number, $is_correct, $choice_text);
    
    foreach ($choices as $choice => $value) {
        if (!empty($value)) {
            $is_correct = ($correct_choice == $choice) ? 1 : 0;
            $choice_text = $value;
            $stmt->execute();
        }
    }

    // Check if any rows were affected
    if ($stmt->affected_rows > 0) {
        $_SESSION['update'] = 'Question added';
        //echo "Question added successfully";
    } else {
        echo "Error adding question";
    }
}

$query = "SELECT * FROM questions";
$results = mysqli_query($conn, $query);
$total = $results->num_rows;
$next = $total + 1;


?>


<html lang="en">
<head>
    <meta charset="utf-8">
    <title>Upload Trivia quiz</title>
    <meta content="width=device-width, initial-scale=1.0" name="viewport">
   <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">

    <link href="styles.css" rel="stylesheet">
        <script>
    if ( window.history.replaceState ) {
        window.history.replaceState( null, null, window.location.href );

        
    }
</script>
<script>
        function confirmClear()
        {
            var result = confirm("Are you sure you want to clear Questions and Choices?");
            if(result)
            {
                window.location.href="cleardata.php?clear=trivia";
            }
            return false;
        }
</script>
</head>
<style>
body{
    color: #fff;
}
.button{
       display: flex;
       justify-content: center;
       align-items: center;
       padding: 2px 0px;
       margin-top: 20px;
}
.button input{
       background-color:seagreen;
       width: 100%;
       border: none;
       padding: 10px;
       border-radius: 3px;
       font-size: 16px;
       color: #fff;
       transition: all 1s ease;
}

       .start:hover{
 background-color: rgb(101, 182, 248);
       }
       label{
              display: inline-block;
              width: 180px;
              padding-bottom: 4px;
       }
       input[type='text']{
              width:100%;

              padding: 7px;
              border-radius: 3px;
              background-color: #f0f0f0;
              border:1px #ccc solid;
       }
         input[type='number']{
              width: 50px;
              padding: 4px;
              border-radius: 3px;
              border:1px #ccc solid;
       }
       
.form-container {
  min-height: 10px;
  margin: 20px auto 0px auto;
  background:#060241;
  border-radius: 10px;

  padding: 20px 20px 20px 20px;
  margin-bottom: 50px;
}
.clear{
    text-decoration: none;
    float: right;
    text-transform: lowercase;
    background-color: #ccc;
    font-size: 13px;
    border-radius: 2px;
    color:#000;
    padding: 3px;
}
</style>

</style>
<body>
    <div class="container">
    <?php include 'side.php'; include 'navbar.php'; ?> 
  </div>
  <div class="main-content">
    <h5 class="animatedText">Upload Trivia Questions</h5>


     <?php
if (isset($_SESSION['success'])) {
?>
    <div class="alert success-alert" id="success">
        <p><strong>Success!</strong> <?php echo $_SESSION['success'] ?></p>
        <i class="fas fa-close close-icon" id="icon"></i>
    </div>
<?php
    unset($_SESSION['success']);
}
?>
<?php
if (isset($_SESSION['error'])) {
?>
    <div class="alert error-alert" id="error">
        <p><strong>Oops!</strong> <?php echo $_SESSION['error'] ?></p>
        <i class="fas fa-close close-icon" id="icon"></i>
    </div>
<?php
    unset($_SESSION['error']);
}
?>

    <!-- Start Table -->
    <div class="form-container">


         <form  method="post" >
              <a onclick="return confirmClear()" href="cleardata.php?clear=trivia" class="clear">Clear Data</a>
                     <p>
                            <label>Question Number</label>
                            <input type="number"name="question_number"value="<?php echo $next ?>" required>
                     </p><br>
                      <p>
                            <label>Question Text</label>
                            <input type="text"name="question_text" required>
                     </p><br>
                      <p>
                            <label>Choice A</label>
                            <input type="text"name="choice1" required>
                     </p><br>
                      <p>
                            <label>Choice B</label>
                            <input type="text"name="choice2" required>
                     </p><br>
                      <p>
                            <label>Choice C</label>
                            <input type="text"name="choice3" required>
                     </p><br>
                      <p>
                            <label>Choice D</label>
                            <input type="text"name="choice4" required>
                     </p><br>
                      <p>
                            <label>Correct Choice</label>
                            <input type="number"name="correct_choice" required>
                     </p><br>
                      <p>
                            <div class="button">
                                    <input class="start" type="submit"value="Upload Question" name="submit">
                            </div>
                             
                     </p>
              </form>
    </div>


    <!-- End Table -->
  </div>
  <?php include 'footer.php'; ?> 
  <script>
      const openSidebar = document.getElementById('sidebarToggle');
      openSidebar.addEventListener('click', function() {
          document.body.classList.toggle('sidebar-open');
          document.body.classList.toggle('sidebar-close');
      });
           //close success and error messages           
document.querySelectorAll('.close-icon').forEach(function(closeIcon) {
    closeIcon.addEventListener('click', function() {
        this.parentElement.style.display = 'none';
    });
});
  </script>
             
            
</body>
       
</html>