<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Service Maintenance</title>
    <!-- Link to Google Fonts to load Poppins font -->
    <link href="https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600&display=swap" rel="stylesheet">
    <style>
        body {
            font-family: 'Poppins', sans-serif;
            background-color: #f4f4f4;
            margin: 0;
            padding: 0;
            display: flex;
            justify-content: center;
            align-items: center;
            height: 100vh;
            text-align: center;
        }

        .container {
            background-color: #fff;
            border-radius: 8px;
            box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
            padding: 40px;
            width: 80%;
            max-width: 600px;
        }

        h1 {
            font-size: 36px;
            color: #d9534f;
            font-weight: 600;
        }

        p {
            font-size: 18px;
            color: #555;
            font-weight: 400;
        }

        .highlight {
            font-weight: bold;
            color: #d9534f;
        }

        .maintenance-info {
            margin-top: 20px;
            padding: 15px;
            background-color: #f8f9fa;
            border: 1px solid #ddd;
            border-radius: 5px;
        }

        .footer {
            margin-top: 30px;
            font-size: 14px;
            color: #888;
        }

        .footer a {
            color: #007bff;
            text-decoration: none;
        }

        .footer a:hover {
            text-decoration: underline;
        }
    </style>
</head>
<body>
    <div class="container">
        <h1>Service Unavailable</h1>
        <p>We are currently undergoing <span class="highlight">scheduled maintenance</span> on the withdrawals section.</p>
        <p>Please be advised that this issue is expected to be resolved by <span class="highlight">Monday at 05:00 AM</span>.</p>
        
        <div class="maintenance-info">
            <h3>Maintenance Information</h3>
            <p>We are working hard to improve our services. We apologize for any inconvenience this may cause and thank you for your understanding.</p>
        </div>
        
        <div class="footer">
            <p>If you have any questions, feel free to <a href="mailto:support@velelazesoftwares.co.ke">contact our support team</a>.</p>
        </div>
    </div>
</body>
</html>
