<?php
// Start the session to track user
session_start();

// Include database connection
include '../database/server.php';

// Check if the database connection is successful
if (!$conn) {
    die("Database connection failed: " . mysqli_connect_error());
}

// Check if the user is logged in
if (!isset($_SESSION['login'])) {
    $_SESSION['error'] = "Authentication failed. Login to proceed.";
    header("location:index.php");
    exit(); // Stop further execution
}

// Fetch the logged-in user's username from the session
$username = trim($_SESSION["login"]);

// Query the database to retrieve user details
$sql = "SELECT * FROM signup WHERE username='$username'";
$result = mysqli_query($conn, $sql);

// If the query is successful, process the data
if ($result) {
    $row = $result->fetch_assoc();
    $userId = $row['id'];
    $upname = $row['upname'];
    $status = $row['status'];

    // If the user is not active, redirect to the login page
    if ($status != 'active') {
        $_SESSION['error'] = "Authentication failed. Login to proceed.";
        header("location:index.php");
        exit(); // Stop further execution
    }
} else {
    // If there's a query error, redirect to the login page
    $_SESSION['error'] = "Authentication failed. Login to proceed.";
    header("location:index.php");
    exit(); // Stop further execution
}

// Generate the referral link using the new format
$link = "https://www.realqash.com/ref/" . $username;
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Referral Program</title>

    <style>
        /* General styles */
        body {
            font-family: Arial, sans-serif;
            background-color: #f0f4f8;
            color: #333;
            margin: 0;
            padding: 0;
        }

        /* Container for centering the content */
        .container {
            max-width: 900px;
            margin: 30px auto;
            padding: 20px;
            background-color: #fff;
            border-radius: 8px;
            box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
        }

        /* Header styles */
        h1 {
            color: #1a73e8;
            font-size: 32px;
            text-align: center;
            margin-bottom: 20px;
        }

        /* Section titles */
        h2 {
            color: #1a73e8;
            font-size: 24px;
            margin-bottom: 10px;
        }

        /* Paragraph styles */
        p {
            font-size: 16px;
            line-height: 1.6;
            margin-bottom: 15px;
        }

        /* Referral link section */
        .referral-section {
            display: flex;
            justify-content: center;
            margin-top: 30px;
            align-items: center;
        }

        #referralLink {
            width: 60%;
            padding: 10px;
            font-size: 16px;
            margin-right: 10px;
            border: 1px solid #ddd;
            border-radius: 5px;
            text-align: center;
        }

        #copyBtn {
            padding: 12px 25px;
            background-color: #1a73e8;
            color: white;
            font-size: 16px;
            border: none;
            border-radius: 5px;
            cursor: pointer;
        }

        #copyBtn:hover {
            background-color: #1558b1;
        }

        /* Video container styles */
        .video-container {
            display: flex;
            justify-content: center;
            margin-top: 20px;
        }

        iframe {
            border: none;
            border-radius: 8px;
        }

        /* Responsive Design */
        @media (max-width: 768px) {
            .container {
                padding: 15px;
            }

            h1 {
                font-size: 28px;
            }

            h2 {
                font-size: 20px;
            }

            #referralLink {
                width: 70%;
            }

            #copyBtn {
                width: 100%;
                margin-top: 10px;
            }

            p {
                font-size: 14px;
            }

            iframe {
                width: 100%;
                height: 250px;
            }
        }

        @media (max-width: 480px) {
            .container {
                padding: 10px;
            }

            h1 {
                font-size: 24px;
            }

            h2 {
                font-size: 18px;
            }

            #referralLink {
                width: 80%;
            }

            #copyBtn {
                width: 100%;
                margin-top: 10px;
            }

            p {
                font-size: 14px;
            }

            iframe {
                width: 100%;
                height: 200px;
            }
        }
    </style>
</head>
<body>
    <div class="container">
        <h1>Referral Program</h1>
        
        <section>
            <h2>What is referrals?</h2>
            <p>Referrals is a program that allows you to earn money when you invite another person to our platform.</p>
        </section>

        <section>
            <h2>How do I invite others?</h2>
            <p>To invite someone, they just need to join our platform using your referral link. You can get your link by clicking the 'Copy Referral Link' button at the top.</p>
            <p>Once copied, share the link with your friends so they can join and start earning.</p>
        </section>

        <section>
            <h2>What is level 1 and 2 referral?</h2>
            <p>A Level 1 referral is the person you invited. A Level 2 referral is anyone invited by someone you invited. For example, if John invites Sarah and Sarah invites Anna, then Sarah is a Level 1 referral for John, and Anna is a Level 2 referral for John. This also means that Anna is a Level 1 referral for Sarah.</p>
            <p>For each Level 1 referral, you earn Ksh. 60. For each Level 2 referral, you earn Ksh. 20.</p>
        </section>

        <section>
            <h2>How do I get paid?</h2>
            <p>Once you earn money, it is deposited in your wallet. From there, you can withdraw at any time via M-Pesa.minimum withdrawal is kes120 "current balance" NOT "Total Profits"</p>
        </section>

        <!-- YouTube Video Embed -->
        <section>
            <h2>Watch This Video</h2>
            <p>Here is a video tutorial explaining the referral program:</p>
            <div class="video-container">
                <iframe width="560" height="315" src="https://www.youtube.com/embed/IrOXKCzmtuA" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
            </div>
        </section>

        <div class="referral-section">
            <button id="copyBtn" onclick="copyReferralLink()">Copy Referral Link</button>
            <input type="text" id="referralLink" value="<?php echo $link; ?>" readonly>
        </div>
    </div>

    <script>
        // JavaScript function to copy the referral link to clipboard
        function copyReferralLink() {
            var referralLink = document.getElementById("referralLink");
            referralLink.select();
            referralLink.setSelectionRange(0, 99999); // For mobile devices
            document.execCommand("copy");
            alert("Referral link copied to clipboard!");
        }
    </script>
</body>
</html>
