<?php
session_start();
include '../database/server.php';

if (!isset($_SESSION['login'])) {
    $_SESSION['error'] = "Authentication failed. Login to proceed";
    header("location:index.php");
    exit();
}

$username = trim($_SESSION["login"]);
$sql = "SELECT * FROM signup WHERE username='$username'";
$result = mysqli_query($conn, $sql);

if ($result) {
    $row = $result->fetch_assoc();
    $user_id = $row['id'];
    $upname = $row['upname'];
    $status = $row['status'];
    $points = $row['like'];  // Fetch the points correctly here
    
    if ($status != 'active') {
        $_SESSION['error'] = "Authentication failed. Login to proceed";
        header("location:index.php");
        exit();
    }
}

// Check user's submission count
$submission_count = $conn->query("SELECT COUNT(*) AS total FROM tasks WHERE user_id = $user_id")->fetch_assoc()['total'];
$free_limit = 20;
$can_post = $submission_count < $free_limit || $points >= 2;

// Handle new TikTok URL submission
if ($_SERVER['REQUEST_METHOD'] == 'POST' && isset($_POST['tiktok_url']) && $can_post) {
    $tiktok_url = $conn->real_escape_string($_POST['tiktok_url']);
    $conn->query("INSERT INTO tasks (user_id, url) VALUES ($user_id, '$tiktok_url')");
    
    // Deduct points if the user has exceeded the submission limit
    if ($submission_count >= $free_limit) {
        $conn->query("UPDATE signup SET `like` = COALESCE(`like`, 0) - 2 WHERE id = $user_id");
    }
}

// Fetch tasks for other members, excluding tasks the user has already liked
$tasks = $conn->query("
    SELECT * FROM tasks 
    WHERE user_id != $user_id 
    AND id NOT IN (SELECT task_id FROM task_likes WHERE user_id = $user_id)
");

// Check if the user has already liked the task
function hasLikedTask($user_id, $task_id) {
    global $conn;
    $result = $conn->query("SELECT * FROM task_likes WHERE user_id = $user_id AND task_id = $task_id");
    return $result->num_rows > 0;
}
?>

<!DOCTYPE html>
<html>
<head>
    <title>TikTok Like Exchange</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <script>
        function trackTime(taskId, url) {
            let startTime = new Date().getTime();
            window.open(url, '_blank');
            
            setTimeout(() => {
                let elapsedTime = (new Date().getTime() - startTime) / 1000;
                if (elapsedTime >= 3) {
                    // After 3 seconds, make a request to reward.php to reward points
                    fetch('reward.php?task_id=' + taskId)
                        .then(response => response.text())
                        .then(data => {
                            alert(data);  // Show success message
                        });
                    
                    // Refresh the page after 3 seconds to update the points and tasks
                    setTimeout(() => {
                        location.reload();
                    }, 3000);
                } else {
                    alert('Kindly follow or like to earn points.');
                }
            }, 3000);
        }
    </script>
    <style>
        body { font-family: Arial, sans-serif; background: #f4f4f4; margin: 0; padding: 20px; text-align: center; }
        h2 { color: #333; }
        .points { font-size: 18px; color: green; margin-bottom: 20px; }
        form { margin-bottom: 20px; }
        input[type="url"] { padding: 10px; width: 80%; max-width: 400px; border: 1px solid #ccc; border-radius: 5px; }
        button { padding: 10px 15px; background: #007bff; color: white; border: none; border-radius: 5px; cursor: pointer; }
        button:disabled { background: #ccc; cursor: not-allowed; }
        button:hover:not(:disabled) { background: #0056b3; }
        .task-container { display: flex; flex-wrap: wrap; justify-content: center; gap: 15px; }
        .task { background: white; padding: 15px; border-radius: 8px; box-shadow: 0 0 10px rgba(0, 0, 0, 0.1); width: 250px; text-align: center; }
        .task button { background: #28a745; color: white; border: none; padding: 10px; cursor: pointer; }
        .task button:hover { background: #218838; }
    </style>
</head>
<body>
    <h2>Post Your TikTok/YouTube URL</h2>
    <div class="points">Your Points: <?= $points ?></div>
    <form method="POST">
        <input type="url" name="tiktok_url" placeholder="Enter TikTok URL" required>
        <button type="submit" <?= !$can_post ? 'disabled' : '' ?>>Submit</button>
    </form>
    
    <h2>Follow, Like and Subscribe to Earn Points</h2>
    
    <?php if ($tasks->num_rows > 0) { ?>
        <div class="task-container">
        <?php while ($task = $tasks->fetch_assoc()) { ?>
            <div class="task">
                <button onclick="trackTime(<?= $task['id'] ?>, '<?= $task['url'] ?>')">Click to Like</button>
            </div>
        <?php } ?>
        </div>
    <?php } else { ?>
        <p>No tasks available.</p>
    <?php } ?>
</body>
</html>
